#ifndef CALCULATOR_H
#define CALCULATOR_H

typedef int (*operator)(int, int);

enum operation
{
    ADD,
    SUB,
    MUL,
    DIV,
    MOD,
};

int calculator(int a, int b, enum operation op);

#endif /* ! CALCULATOR_H */
